
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL数据库中与 NULL值有关的几个问题 / iVAN</title>

    <meta name="description" content="MySQL数据库中与 NULL值有关的几个问题   对于SQL的新手,NULL值的概念常常会造成混淆,他们常认为NULL是与空字符串''相同的事.情况并非如此.例如,下述语句是完全不同的: mysql&gt; INSERT INTO my_table (phone) VALUES (NULL); mysql&gt; INSERT INTO my_table (phone) VALUES (''); 这两条语句均会将值插入phone(电话)列,但第1条语句插入的是NULL值,第2条语句插入的是空字符串.第1种情况的含义可被解释为&quot;电话 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MySQL数据库中与 NULL值有关的几个问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　对于SQL的新手，NULL值的概念常常会造成混淆，他们常认为NULL是与空字符串''相同的事。情况并非如此。例如，下述语句是完全不同的：</p>
<p>　　mysql&gt; INSERT INTO my_table (phone) VALUES (NULL);</p>
<p>　　mysql&gt; INSERT INTO my_table (phone) VALUES ('');</p>
<p>　　这两条语句均会将值插入phone(电话)列，但第1条语句插入的是NULL值，第2条语句插入的是空字符串。第1种情况的含义可被解释为“电话号码未知”，而第2种情况的含义可被解释为“该人员没有电话，因此没有电话号码”。</p>
<p>　　为了进行NULL处理，可使用IS NULL和IS NOT NULL操作符以及IFNULL()函数。</p>
<p>　　在SQL中，NULL值与任何其它值的比较(即使是NULL)永远不会为“真”。包含NULL的表达式总是会导出NULL值，除非在关于操作符的文档中以及表达式的函数中作了其他规定。下述示例中的所有列均返回NULL：</p>
<p>　　mysql&gt; SELECT NULL, 1+NULL, CONCAT('Invisible',NULL);</p>
<p>　　如果打算搜索列值为NULL的列，不能使用expr = NULL测试。下述语句不返回任何行，这是因为，对于任何表达式，expr =  NULL永远不为“真”：</p>
<p>　　mysql&gt; SELECT * FROM my_table WHERE phone = NULL;</p>
<p>　　要想查找NULL值，必须使用IS NULL测试。在下面的语句中，介绍了查找NULL电话号码和空电话号码的方式：</p>
<p>　　mysql&gt; SELECT * FROM my_table WHERE phone IS NULL;</p>
<p>　　mysql&gt; SELECT * FROM my_table WHERE phone = '';</p>
<p>　　更多信息和示例：</p>
<p>　　如果你正在使用MyISAM、InnoDB、BDB、或MEMORY存储引擎，能够在可能具有NULL值的列上增加1条索引。如不然，必须声明索引列为NOT  NULL，而且不能将NULL插入到列中。</p>
<p>　　用LOAD DATA  INFILE读取数据时，对于空的或丢失的列，将用''更新它们。如果希望在列中具有NULL值，应在数据文件中使用N。在某些情况下，也可以使用文字性单词“NULL”。</p>
<p>　　使用DISTINCT、GROUP BY或ORDER BY时，所有NULL值将被视为等同的。</p>
<p>　　使用ORDER BY时，首先将显示NULL值，如果指定了DESC按降序排列，NULL值将最后显示。</p>
<p>　　对于聚合(累计)函数，如COUNT()、MIN()和SUM()，将忽略NULL值。对此的例外是COUNT(*)，它将计数行而不是单独的列值。例如，下述语句产生两个计数。首先计数表中的行数，其次计数age列中的非NULL值数目：</p>
<p>　　mysql&gt; SELECT COUNT(*), COUNT(age) FROM person;</p>
<p>　　对于某些列类型，MySQL将对NULL值进行特殊处理。如果将NULL插入TIMESTAMP列，将插入当前日期和时间。如果将NULL插入具有AUTO_INCREMENT属性的整数列，将插入序列中的下一个编号。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-17 03:57:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e5%8f%a5/" title="语句">语句</a>, <a href="https://www.iamivan.net/tag/null/" title="null">null</a>, <a href="https://www.iamivan.net/tag/select/" title="select">select</a>, <a href="https://www.iamivan.net/tag/phone/" title="phone">phone</a>, <a href="https://www.iamivan.net/tag/%e7%94%b5%e8%af%9d%e5%8f%b7%e7%a0%81/" title="电话号码">电话号码</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e8%af%8d%e8%ae%a1%e6%95%b0/" title="单词计数">单词计数</a>, <a href="https://www.iamivan.net/tag/%e7%a9%ba%e5%8f%b7%e7%a0%81/" title="空号码">空号码</a>, <a href="https://www.iamivan.net/tag/%e5%92%8cnull/" title="和NULL">和NULL</a>, <a href="https://www.iamivan.net/tag/null%e5%80%bc/" title="null值">null值</a>, <a href="https://www.iamivan.net/tag/null%e9%97%ae%e9%a2%98/" title="null问题">null问题</a>, <a href="https://www.iamivan.net/tag/null%e6%8f%92%e5%85%a5/" title="NULL插入">NULL插入</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MySQL数据库中与 NULL值有关的几个问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QBw4M.html" rel="bookmark">Oracle数据库中对null值的排序及mull与空字符串的区别&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				order by排序之null值处理方法在对业务数据排序时候,发现有些字段的记录是null值,这时排序便出现了有违我们使用习惯的数据大小顺序问题.在Oracle中规定,在Order by排序时缺省认为null是最大值,所以如果是ASC升序则被排在最后,而DESC降序则排在最前.所以,为何分析数据的直观性方便性,我们需要对null的记录值进行相应处理. 这是四种oracle排序中NULL值处理的方法:1.使用nvl函数语法:Nvl(expr1, expr2)     若EXPR1是NULL,則返回			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdVw1b.html" rel="bookmark">学会如何处理数据库中的null</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据|数据库 Java数据库连接(JDBC)结果集类掩盖了一个微小的bug,如果你忘记了使用wasNull方法的话.关系数据库中的NULL值的概念和Java中null的值的概念相似,前者任何类型都可以为null,但是在Java中,基本数据类型不能为null.当要读取一个数据库域赋值给一个基本类型的时候(例如resultSet.getInt(1)),可能会造成问题.这样的例子已经让JDBC规范的制订者开始研究如何解决. 当一个值通过如getInt.getLong.getFloat这样的getXxx			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKOyrz.html" rel="bookmark">sqlite3-在 SQlite 数据库中存储 Null</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在 SQlite 数据库中存储 Null 我想实现下面的代码: String updateQuery =&quot;INSERT INTO MAAccounts(userId, accountId, accountType, accountName, parentAccountId ) VALUES(?, ?, ?, ?, ?)&quot;; Cursor c = mDb.rawQuery(updateQuery, new String[]{ stringToDB(account.userId)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6Jlgz.html" rel="bookmark">MySQL中的NULL值相关问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于SQL的新手,NULL值的概念常常会造成混淆,他们常认为NULL是与空字符串''相同的事.情况并非 如此.例如,下述语句是完全不同的: mysql&gt; INSERT INTO my_table (phone) VALUES (NULL); mysql&gt; INSERT INTO my_table (phone) VALUES (''); 这两条语句均会将值插入phone(电话)列,但第1条语句插入的是NULL值,第2条语句插入的是空字符串 .第1种情况的含义可被解释为&quot;电话号码未知&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQjPWz.html" rel="bookmark">mysql查询语句，怎么让数据库中为NULL的记录查询处理显示为不存在</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mysql查询语句,怎么让数据库中为NULL的记录查询处理显示为不存在 mysql查询语句,怎么让数据库中为NULL的记录查询处理显示为不存在 解决方案 select (case when name is null then '不存在' else name end) as name,id from user 这种sql不建议使用,虽然能让你暂时实现逻辑, 但是会大大影响MySQL的性能.所以不建议使用, 最好是在自己的代码里处理这些东西.(其他的数据库除外) 解决方案二: 这个不是sq			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRoAjz.html" rel="bookmark">php数据库中取值-php&plus;mysql 数据库中取值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 php+mysql 数据库中取值 php+mysql 数据库中取值 表中字段是int类型,1代表供货商发货,2代表公司配货 .在页面上用一个下拉列表选择发货方式,如何把 供货商发货 公司配货 字样显示在下拉列表中 , 提交表单后可以更改配货方式,,, 后台逻辑该怎么写呢? 解决方案 http://yuncode.net/code/c_5267eac94c46717 解决方案二: http://www.jb51.net/article/60189.htm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6DPgz.html" rel="bookmark">快速掌握MySQL数据库中SELECT语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文针对MySQL数据库中的SELECT语句快速精细掌握. MySQL中SELECT语句的基本语法是: 以下是引用片段:SELECT [STRAIGHT_JOIN] [SQL_SMALL_RESULT] [SQL_BIG_RESULT] [HIGH_PRIORITY] [DISTINCT|DISTINCTROW|ALL] select_list [INTO {OUTFILE|DUMPFILE} 'file_name' export_options] [FROM table_references			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kJ6Az.html" rel="bookmark">在MySQL数据库中使用C执行SQL语句&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				返回数据的语句 现在是时候讨论SQL的最普遍用法了,从数据库检索数据的SELECT语句. MySQL 还支持返回结果的SHOW.DESCRIBE和EXPLAIN SQL语句,但是这里不考虑它们.按惯例,手册中包含这些语句的说明. 您将会从PostgreSQL章记起,可以从PQexec中的SQL SELECT 语句检索数据,这里马上获取所有数据,或者使用游标从数据库中逐行检索数据,以便搞定大数据. 由于完全相同的原因,MySQL的检索方法几乎完全相同,虽然它实际上不用游标的形式描述逐行检索.但是,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0xV9p.html" rel="bookmark">在MySQL数据库中使用C执行SQL语句的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				他们将讨论返回数据的语句,例如INSERT以及不返回数据的语句,例如UPDATE和DELETE.然后,他们将编写从数据库检索数据的简单程序 执行SQL语句 现在,我们已经有了一个连接,并且知道如何处理错误,是时候讨论使用我们的数据库来作一些实际工作了.执行所有类型的SQL的主关键字是mysql_query: int mysql_query(MYSQL *connection, const char *query) 正如您所见,它非常简单.它取一个指向连接结构的指针和包含要执行的SQL的文本字符串			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE4DLz.html" rel="bookmark" class="title">sql 有关跨表更新的问题</a>
					<div>
						问题描述 sql 有关跨表更新的问题 有两个表aba 中 包含 order_no 及 order_no2的表b 中 同样包含 order_no 及 order_no2的表 现在a,b中的order_n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR843z.html" rel="bookmark" class="title">教程&sol;dreamweaver&sol;入门 Dreamweaver 4 简明教程15&lpar;互动效果）</a>
					<div>
						dreamweaver|教程 制作更复杂的互动效果 在Dreamweaver中,更复杂的效果是通过一个叫Behaviors的功能实现的,Behaviors的从字面上理解是&quot;行为&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnaQAM.html" rel="bookmark" class="title">巧用网站流量统计 判断网站转化率高低</a>
					<div>
						目前互联网高速发展,网民数量直线上升,通过网络营销也逐渐成为销售主流,网络营销中的网站优化无非是当下最被推崇的一种销售方式之一.对于中小型企业网站优化来说,做几个主要产品关键词就已经算是成功的网络营销 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKXO6p.html" rel="bookmark" class="title">Windows Server 2003安全配置实战</a>
					<div>
						Windows server2003是目前最为成熟的网络服务器平台,安全性相对于Windows 2000有大大的提高,但是2003默认的安全配置不一定适合我们的需要,所以,我们要根据实际情况来对Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62VWYM.html" rel="bookmark" class="title">谷歌浏览器Chrome错误提示Flash过期怎么办？</a>
					<div>
						  谷歌浏览器Chrome错误提示Flash过期解决办法 首先,因为这个错误是由&quot;Adobe Flash Player&quot;插件引起的,所以,可以禁用此插件,但是如此一来,很多需要Ad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwOk8z.html" rel="bookmark" class="title">你才不是一个没有故事的小网站</a>
					<div>
						  每一组网站都有一个故事.今天这组网站是专门为某个热门活动做的,包括巴黎的地球一小时,世界烘焙日等,内容从体育.音乐.商业.到公益.汽车等都有,创意和色彩布局等都特别丰富,来感受下灵感的盛宴. Dr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLQa3b.html" rel="bookmark" class="title">JavaScript实现将数组中所有元素连接成一个字符串的方法</a>
					<div>
						 下面的代码演示了JS中如何通过数组对象的join方法将数组元素连接成一个字符串输出 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 &lt;!DOCTYPE ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oAgwb.html" rel="bookmark" class="title">公共Wifi密码是什么</a>
					<div>
						一.公共wifi密码也就是我们可以通过在某些公共场合能使用的无线wifi密码来连接网络.当然这些公共场合主要是在一些大型娱乐场所.机场.大型高校.麦当劳.肯德基等地才可能搜索到公共Wifi无线网络信号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjmQyb.html" rel="bookmark" class="title">如何解决笔记本电脑显示器不停闪动</a>
					<div>
						  在我们生活中,笔记本电脑开机关机,最多就是好好保护到键盘,不要让水进入到里面了,或者风扇清清灰什么的.下面小编就介绍七种电脑显示器不停闪动的问题及解决办法. 一.显示刷新率设置不正确 如果是刷新率 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Www8b.html" rel="bookmark" class="title">初学者，想问大神，如何比较一组数据， 不同类型的 数据  ？求指教</a>
					<div>
						问题描述 初学者,想问大神,如何比较一组数据, 不同类型的 数据 ?求指教 想问大神,如何比较一组数据, 不同类型的 数据 ?求指教,别人说可以用链表(我不会)有别的方法吗 解决方案 比较数据的关键不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZqdBb.html" rel="bookmark" class="title">代码-菜鸟求解：Intelligent IME无法AC，求帮忙</a>
					<div>
						问题描述 菜鸟求解:Intelligent IME无法AC,求帮忙 题目:Problem Description We all use cell phone today. And we must be ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrk30M.html" rel="bookmark" class="title">虚拟机-在kvm上安装oracle Linuxserver，启动失败</a>
					<div>
						问题描述 在kvm上安装oracle Linuxserver,启动失败 在kvm里面安装了虚拟机 安装没有问题 启动时候出现这个问题 开始启动提示:failed to access perfctr m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRJ0gz.html" rel="bookmark" class="title">对话《哥德尔、埃舍尔、巴赫：集异璧之大成》作者：现在的AI还不够看</a>
					<div>
						有关人工智能领域的讨论,我们可以追溯到一个名叫Douglas Hofstadter,一位美国作家的往事上.自从在1979年因&lt;Gödel, Escher, Bach: an Eternal Go ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQJ4ap.html" rel="bookmark" class="title">Silverlight调用WebService，发布IIS，本机可以访问，其他机器不能访问。十万火急！求帮助！谢谢！</a>
					<div>
						问题描述 VS2010+IIS7+Silverlight5.1.20513.0,刚接手一个前人交接的项目.里面有Sliverlight调用Webservice,在首页显示内容的一个功能.一直以来都是没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6kVlz.html" rel="bookmark" class="title">方法-如何实现公司私有云和Azure数据通讯呢？</a>
					<div>
						问题描述 如何实现公司私有云和Azure数据通讯呢? 1.比如我将应用方法Azure上,而将数据库放在公司私有云中,同时使用Azure备份数据 如果是这样的场景需要哪些前提条件呢 解决方案 首先,你可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEYYkM.html" rel="bookmark" class="title">网络赌博骗局</a>
					<div>
						摘要: 网络赌博骗局 切断网络赌博的暗道 导读:中央电视台焦点访谈栏目今晚播出了名为&lt;切断网络赌博的暗道&gt;节目,以下为文字实录: 中国网络电视台消息:近来网络赌博非常活跃,不 网络赌博骗局 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKnyvb.html" rel="bookmark" class="title">关于开机看似简单却复杂的问题讨论</a>
					<div>
						问题描述 背景:要实现以下功能:将自己编写的程序放在光盘或USB启动介质中,开机引导时加载自己编写的程序,然后正常引导操作系统.问题一:操作系统引导成功(如WINDOWS)进入桌面后,自己写的程序是否 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e6P9b.html" rel="bookmark" class="title">vivo Xshot三大极致产品线布局完成</a>
					<div>
						vivo Xshot发布 三大极致系列布局完成 类型:原创 作者:孟滨 时间:2014-05-08 09:37:10 5月7日晚,vivo在北京水立方发布旗下新款4G智能手机vivo Xshot.这款 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JAKmz.html" rel="bookmark" class="title">vs2005 c&num;app&period;config配置文件添加&comma;删除问题~求助</a>
					<div>
						问题描述 配置文件内容如下:&lt;?xmlversion=&quot;1.0&quot;encoding=&quot;utf-8&quot;?&gt;&lt;configuration&gt;&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0Kxwp.html" rel="bookmark" class="title">PHP Session 变量用法详解与实例教程</a>
					<div>
						当您运行一个应用程序时,您会打开它,做些更改,然后关闭它.这很像一次会话.计算机清楚你是谁.它知道你何时启动应用程序,并在何时终止.但是在因特网上,存在一个问题:服务器不知道你是谁以及你做什么,这是由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYeQqb.html" rel="bookmark" class="title">搜索引擎如何索引收录网页-搜索引擎技术</a>
					<div>
						对SEO(搜索引擎优化)而言,让网站内的页面能够及时.全面地被搜索引擎索引.收录应该说是首要的任务,这是实施其他SEO策略的最基本保证.--不过,这也是往往易被高估的一个环节,比如说我们时常可以看到某 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk03ndz.html" rel="bookmark" class="title">程序员是怎么毁掉网游公司的</a>
					<div>
						2010年7月份的时候,22的我在加州的一家网游公司工作.那时候我刚毕业,真正意义上来说,这是我的第一份的工作.我有了工资收入,有了自己的宿舍.我第一次觉得自己长大了. 有两个&quot;工程师&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeOl7p.html" rel="bookmark" class="title">充电被烧焦，电信不退宽带费</a>
					<div>
						日前,广东的王女士给中国质量万里行发来投诉,她今年1月份在当地龙华电信营业厅购买了一部天语e800手机,并同时办理宽带4M家用网线绑定服务.在4月左右王女士上班的时候,给手机冲电,十分钟之内突然闻到有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBYJRb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;万家购物&rdquo;曾让&OpenCurlyDoubleQuote;投资返利&rdquo;成为&OpenCurlyDoubleQuote;潮流&rdquo;</a>
					<div>
						商报讯(记者 陈伊丽)&quot;本人在浙江百家和http://www.aliyun.com/zixun/aggregation/17392.html&quot;&gt;电子商务有限公司的所有消费积分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXPVWz.html" rel="bookmark" class="title">未来学家Ramez Naam谈搜索的未来</a>
					<div>
						摘要: Ramez Naam是一位未来学家,初创企业创始人,也是一位畅销书作家,曾写过科幻小说&lt;Nexus&gt;.&lt;Crux &gt;,最近又出版了一本非虚构文学作品&lt;无限的资源: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyK124z.html" rel="bookmark" class="title">云存储需求旺盛 未来成长空间巨大</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 中国软件资讯网消息 7月16日,据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAG3qp.html" rel="bookmark" class="title">纵观云计算的发展现状与未来</a>
					<div>
						云计算的分散 纵观二十世纪,最惊人的成就之一就是计算能力的急速扩散(而且这一傲人的成绩还一直持续到了二十一世纪),这几乎能够使任何想要拥有计算能力的人成为&quot;专业人士&quot;.现在,几乎每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqgx3Oz.html" rel="bookmark" class="title">特朗普逆转民调&OpenCurlyDoubleQuote;意外&rdquo;获胜 大数据不灵了？</a>
					<div>
						北京时间11月15日消息,据外媒报道,希拉里在大选投票开始前曾一路领先,在各种统计数据上她都力压特朗普,大多数人坚信她会成为美国首任女总统.不过结果大家也知道,希拉里输了.于是人们开始怪罪数据,觉得它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zw5lJRM.html" rel="bookmark" class="title">一场勒索病毒引发的网络安全思考</a>
					<div>
						刚过去的几天里,全球经历了一场病毒攻击的洗礼,一轮勒索病毒攻击在全球肆虐,已有太多的电脑.服务器中招.据不完整统计,全球近百个国家超过10万家组织和机构被攻陷,其中包括1600家美国组织,11200家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG3APkz.html" rel="bookmark" class="title">《Node应用程序构建&mdash;&mdash;使用MongoDB和Backbone》一第 2 章　Node&period;js2&period;1　安装Node&period;js</a>
					<div>
						第 2 章 Node.js Node应用程序构建--使用MongoDB和Backbone今天的互联网不同于20世纪90年代的互联网.在以前,用户和一个网站之间的交互基本上属于信息消费.Web服务器生成 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
